xcp-1.6-updates/xen-4.1.hg

changeset 23292:44161ecfcda3

unmodified_drivers: update README from
http://wiki.xen.org/xenwiki/UnmodifiedDrivers

Add reference to the fact that these drivers are for "classic-Xen"
kernels only
and do not work with PVops but point towards the PVHVM functionality
in
mainstream.

Signed-off-by: Ian Campbell <ian.campbell@citrix.com>
Acked-by: Ian Jackson <ian.jackson.citrix.com>
Committed-by: Ian Jackson <ian.jackson.citrix.com>
xen-unstable changeset: 24045:4ed766d70396
xen-unstable date: Wed Oct 26 17:44:03 2011 +0100
author Ian Campbell <ian.campbell@citrix.com>
date Mon May 14 16:49:24 2012 +0100 (2012-05-14)
parents 5b90064e5375
children a427ff3fee5f
files unmodified_drivers/linux-2.6/README
line diff
     1.1 --- a/unmodified_drivers/linux-2.6/README	Mon May 14 16:48:46 2012 +0100
     1.2 +++ b/unmodified_drivers/linux-2.6/README	Mon May 14 16:49:24 2012 +0100
     1.3 @@ -1,10 +1,19 @@
     1.4 -To build:
     1.5 +These drivers provide paravirtualised drivers for pre-PVops Linux
     1.6 +kernels which have the classic-Xen patches applied. They do not work
     1.7 +with kernels which are not patched with the classic-Xen patches. In
     1.8 +particular this includes all PVops kernels.
     1.9  
    1.10 -1. ./mkbuildtree [<arch>]
    1.11 +For 2.6.36 and newer you should use the "PVHVM" functionality which is
    1.12 +available in the mainline kernel.
    1.13 +
    1.14 +To build do one of:
    1.15 +
    1.16 +   ./mkbuildtree [<arch>]
    1.17     NB. You can override paths to Xen sources and a (stub) XenLinux
    1.18         build tree via the XEN and XL environment variable.
    1.19  
    1.20 -2. make -C /path/to/kernel/build M=$PWD modules
    1.21 +- or -
    1.22 +   make -C /path/to/kernel/build M=$PWD modules
    1.23     NB. This is your native kernel build tree (or a distro provided
    1.24         stub), not the XenLinux sources referred to in step 1.
    1.25     NB. If you are cross compiling, you need to set ARCH and